Bug 1472008 - [abrt] cinnamon: js::GCMethods<JSObject*>::needsPostBarrier(): cinnamon killed by signal 11
[abrt] cinnamon: js::GCMethods<JSObject*>::needsPostBarrier(): cinnamon kille...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alternative GTK desktop environments
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c8fe0c16def04353f8129af0bcd...
: Reopened
: 1453008 1478697 1484231 1500801 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 19:39 EDT by Loye Young
Modified: 2017-11-12 02:06 EST (History)
17 users (show)

See Also:
Fixed In Version: cinnamon-3.4.6-3.fc26 cinnamon-3.4.6-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-12 02:04:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.54 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: core_backtrace (29.74 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: dso_list (21.41 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: environ (1.46 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: maps (160.01 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: open_fds (7.40 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details
File: var_log_messages (310 bytes, text/plain)
2017-07-17 19:39 EDT, Loye Young
no flags Details

  None (edit)
Description Loye Young 2017-07-17 19:39:22 EDT
Description of problem:
I cannot reliably replicate, but this happens about once or twice a day. 

Version-Release number of selected component:
cinnamon-3.4.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=22e21a618fef4ef98ee5c6767d2c49ac;i=2572a0;b=e6758631ba074a319f5265b1c3e9e605;m=42e2ba8cc;t=5548a88028058;x=1dd103eedad5e721
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 js::GCMethods<JSObject*>::needsPostBarrier at /usr/include/mozjs-38/js/RootingAPI.h:663
 #1 JS::Heap<JSObject*>::set at /usr/include/mozjs-38/js/RootingAPI.h:296
 #2 JS::Heap<JSObject*>::operator= at /usr/include/mozjs-38/js/RootingAPI.h:266
 #3 GjsMaybeOwned<JSObject*>::reset at cjs/jsapi-util-root.h:267
 #4 closure_clear_idle at gi/closure.cpp:132
 #10 meta_run at core/main.c:542

Potential duplicate: bug 1453008
Comment 1 Loye Young 2017-07-17 19:39:28 EDT
Created attachment 1300152 [details]
File: backtrace
Comment 2 Loye Young 2017-07-17 19:39:29 EDT
Created attachment 1300153 [details]
File: cgroup
Comment 3 Loye Young 2017-07-17 19:39:30 EDT
Created attachment 1300154 [details]
File: core_backtrace
Comment 4 Loye Young 2017-07-17 19:39:31 EDT
Created attachment 1300155 [details]
File: cpuinfo
Comment 5 Loye Young 2017-07-17 19:39:32 EDT
Created attachment 1300156 [details]
File: dso_list
Comment 6 Loye Young 2017-07-17 19:39:33 EDT
Created attachment 1300157 [details]
File: environ
Comment 7 Loye Young 2017-07-17 19:39:34 EDT
Created attachment 1300158 [details]
File: exploitable
Comment 8 Loye Young 2017-07-17 19:39:35 EDT
Created attachment 1300159 [details]
File: limits
Comment 9 Loye Young 2017-07-17 19:39:39 EDT
Created attachment 1300160 [details]
File: maps
Comment 10 Loye Young 2017-07-17 19:39:40 EDT
Created attachment 1300161 [details]
File: open_fds
Comment 11 Loye Young 2017-07-17 19:39:40 EDT
Created attachment 1300162 [details]
File: proc_pid_status
Comment 12 Loye Young 2017-07-17 19:39:41 EDT
Created attachment 1300163 [details]
File: var_log_messages
Comment 13 leigh scott 2017-07-18 04:01:00 EDT
Ever heard of updating?!!!!!!!
Comment 14 Loye Young 2017-07-19 13:58:12 EDT
(In reply to leigh scott from comment #13)
> Ever heard of updating?!!!!!!!

In fact, I have heard of it. I upgraded to Fedora 26 the day it was released, and Cinnamon is at the latest version.

And the crash just happened again today. . . . .

[root@aquinas ~]# dnf info cinnamon
Last metadata expiration check: 0:55:18 ago on Wed 19 Jul 2017 11:49:39 AM CDT.
Installed Packages
Name         : cinnamon
Version      : 3.4.4
Release      : 1.fc26
Arch         : x86_64
Size         : 7.5 M
Source       : cinnamon-3.4.4-1.fc26.src.rpm
Repo         : @System
From repo    : updates
Summary      : Window management and application launching for GNOME
URL          : https://github.com/linuxmint/
License      : GPLv2+ and LGPLv2+
Description  : Cinnamon is a Linux desktop which provides advanced
             : innovative features and a traditional user experience.
             : 
             : The desktop layout is similar to Gnome 2.
             : The underlying technology is forked from Gnome Shell.
             : The emphasis is put on making users feel at home and providing
             : them with an easy to use and comfortable desktop experience.
Comment 15 Loye Young 2017-07-19 13:59:24 EDT
Similar problem has been detected:

Happens most every day.  Seemingly randomly.


reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=22e21a618fef4ef98ee5c6767d2c49ac;i=25978c;b=b86a2301d21845918940b92cf0f6755c;m=11f833951;t=554af2e3b3af3;x=b705cb297a0bd3a4
kernel:         4.11.10-300.fc26.x86_64
package:        cinnamon-3.4.4-1.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 16 Ken Dubrick 2017-07-29 16:19:52 EDT
Similar problem has been detected:

opening up the google Chrome browser Version 60.0.3112.78 (Official Build) (64-bit)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=23a4cb38e97347f88c33785e845f0651;i=ecee;b=01af21ed87e34aa895a76a95c00b2e40;m=36f7e182b;t=5557a68fc7ebf;x=edc514636f2917e5
kernel:         4.11.11-300.fc26.x86_64
package:        cinnamon-3.4.4-1.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 mindsetice 2017-08-06 04:57:47 EDT
*** Bug 1478697 has been marked as a duplicate of this bug. ***
Comment 18 Fedora Update System 2017-08-06 09:44:48 EDT
cjs-3.4.3-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee7c13c0ae
Comment 19 Fedora Update System 2017-08-07 02:26:36 EDT
cjs-3.4.3-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f4ff00e2f
Comment 20 Fedora Update System 2017-08-07 04:20:44 EDT
cjs-3.4.3-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee7c13c0ae
Comment 21 Fedora Update System 2017-08-11 21:28:06 EDT
cinnamon-3.4.6-3.fc25, cinnamon-screensaver-3.4.2-1.fc25, cinnamon-session-3.4.2-1.fc25, cinnamon-settings-daemon-3.4.4-1.fc25, cjs-3.4.4-1.fc25, muffin-3.4.1-1.fc25, nemo-3.4.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbc00c8f8f
Comment 22 Fedora Update System 2017-08-13 00:03:42 EDT
cinnamon-3.4.6-3.fc26, cinnamon-screensaver-3.4.2-1.fc26, cinnamon-session-3.4.2-1.fc26, cinnamon-settings-daemon-3.4.4-1.fc26, cjs-3.4.4-1.fc26, muffin-3.4.1-1.fc26, nemo-3.4.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee4b1c6799
Comment 23 Steve Ebey 2017-08-14 09:56:46 EDT
Similar problem has been detected:

Running Evince document veiwer, version 3.24. cinnamon desktop, on amd fx 6300 six core, 16GB ram, 320GB hd, Nvidia proprietary
384.59 on GTX 970 with 4GB video memory.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=cad8f560147d4b97a6330f2f0d97f2a3;i=3563b6;b=fc2a58fd120247aca24210ba38ba66c8;m=8158271cd;t=556b6d0622db8;x=662b9b431a53f089
kernel:         4.11.11-300.fc26.x86_64
package:        cinnamon-3.4.4-1.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 Rafael Ruiz 2017-08-16 07:20:12 EDT
Similar problem has been detected:

Always using Firefox with several tabs with heavy javascript use (gmail, telegram and many more)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=b2e4403c2ce14cf69b467568c103925f;i=5852a;b=e2bb383e097b47089100cd728b5dc573;m=cccda739;t=556dcf44cf2fc;x=cb5b58965f23eea1
kernel:         4.12.5-300.fc26.x86_64
package:        cinnamon-3.4.4-1.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 25 leigh scott 2017-08-16 08:53:25 EDT
Can you tell us what applets, desklets and extensions you’re running? Try disabling and making a note of any 3rd party ones (ones you may have downloaded, that weren’t pre-installed), particularly system monitor or hardware monitor types.
Comment 26 Steve Ebey 2017-08-16 10:13:57 EDT
Similar problem has been detected:

Running thunderbird and firefox.  

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=cad8f560147d4b97a6330f2f0d97f2a3;i=359c7d;b=06b4d25188d748ba851d7700d9bd5d52;m=84f0d42cf;t=556debc179646;x=278b5d8ff8184e91
kernel:         4.12.5-300.fc26.x86_64
package:        cinnamon-3.4.4-1.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 27 steven.woods3 2017-08-22 00:24:03 EDT
Similar problem has been detected:

was playing a utube video from payam.com.au data recovery site

Cinnamon and nemo both crash regularly

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=150a8cbfdae247fab11053eed4998191;i=571a;b=eae229e8a7c8474a85eed02898e81685;m=619ac871d;t=5574fcabb1288;x=5af21500ca3a1120
kernel:         4.12.5-300.fc26.x86_64
package:        cinnamon-3.4.4-1.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 28 Andy McKellar 2017-08-23 01:12:27 EDT
*** Bug 1484231 has been marked as a duplicate of this bug. ***
Comment 29 Rafael Ruiz 2017-08-24 05:12:10 EDT
Similar problem has been detected:

Always using and visualizing Firefox window with its tabs

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon --replace --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=b2e4403c2ce14cf69b467568c103925f;i=129e70;b=4401afe7a25f47b1be211c7eed20043c;m=2e5398909;t=5577c25ce6704;x=75b49af119bf80fd
kernel:         4.12.5-300.fc26.x86_64
package:        cinnamon-3.4.6-3.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 30 Fedora Update System 2017-08-26 15:52:46 EDT
cinnamon-3.4.6-3.fc26, cinnamon-screensaver-3.4.2-1.fc26, cinnamon-session-3.4.2-1.fc26, cinnamon-settings-daemon-3.4.4-1.fc26, cjs-3.4.4-1.fc26, muffin-3.4.1-1.fc26, nemo-3.4.7-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2017-08-27 02:21:06 EDT
cinnamon-3.4.6-3.fc25, cinnamon-screensaver-3.4.2-1.fc25, cinnamon-session-3.4.2-1.fc25, cinnamon-settings-daemon-3.4.4-1.fc25, cjs-3.4.4-1.fc25, muffin-3.4.1-1.fc25, nemo-3.4.7-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Clinton Nolan 2017-09-13 14:37:49 EDT
Similar problem has been detected:

I was passively reading a webpage on Firefox when cinnamon suddenly crashed with no warning, and asked if I should reboot it. I said yes.

Also, Firefox was unable to display anything after rebooting cinnamon. It just showed a loading spinner where the webpage should be. Restarting Firefox (after I started filling out this form) fixed the issue. A YouTube video I was listening to continued playing (with audio) but wasn't visible.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=a4bdc5b2127b415e89d7c7e5b34c434f;i=146d;b=c991785e25184d7abf26a070e1149f62;m=194b2e70e;t=559144d17c319;x=ab4e9fe4715c5c25
kernel:         4.12.9-300.fc26.x86_64
package:        cinnamon-3.4.6-14.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 33 leigh scott 2017-09-14 03:30:58 EDT
(In reply to Clinton Nolan from comment #32)
> Similar problem has been detected:
> 

I'm still investigating the cjs issue, it randomly occurs here 3 or 4 times a month when the PC is unattended.
The gjs backports for this issue haven't helped so far.

> I was passively reading a webpage on Firefox when cinnamon suddenly crashed
> with no warning, and asked if I should reboot it. I said yes.
> 

The firefox issue is seperate and reported here

https://github.com/linuxmint/Cinnamon/issues/6874

> Also, Firefox was unable to display anything after rebooting cinnamon. It
> just showed a loading spinner where the webpage should be. Restarting
> Firefox (after I started filling out this form) fixed the issue. A YouTube
> video I was listening to continued playing (with audio) but wasn't visible.
Comment 34 leigh scott 2017-09-14 18:40:27 EDT
*** Bug 1453008 has been marked as a duplicate of this bug. ***
Comment 35 Ken Dubrick 2017-09-20 17:01:38 EDT
Similar problem has been detected:

I had Audious open for music..
Had Firefox opening up to the google homepage... nothing else going on

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cinnamon
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
journald_cursor: s=e8012f7ed84e437e8ac1ddb5e7dd8b7e;i=259d;b=45097bcfe0d545119f52dd7b3843f148;m=44b2ce361;t=559a52b8f08a0;x=138f50a98f09407
kernel:         4.12.13-300.fc26.x86_64
package:        cinnamon-3.4.6-15.fc26
reason:         cinnamon killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 36 Rick Richardson 2017-10-04 08:27:13 EDT
Similar problem has been detected:

Just crashed.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
global_pid:     2478
kernel:         4.12.14-200.fc25.x86_64
package:        cinnamon-3.4.6-15.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 37 Rick Richardson 2017-10-06 00:31:17 EDT
Similar problem has been detected:

Just crashed.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        cinnamon --replace --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
global_pid:     19530
kernel:         4.12.14-200.fc25.x86_64
package:        cinnamon-3.4.6-15.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 38 Eduard Lucena 2017-10-11 09:53:34 EDT
*** Bug 1500801 has been marked as a duplicate of this bug. ***
Comment 39 Rick Richardson 2017-11-09 15:42:37 EST
Similar problem has been detected:

Just working, then bam! 

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
global_pid:     2480
kernel:         4.13.11-100.fc25.x86_64
package:        cinnamon-3.4.6-15.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 40 Rick Richardson 2017-11-10 13:11:00 EST
Similar problem has been detected:

Just crashed.  Screensaver was on.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        cinnamon --replace --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/cinnamon
global_pid:     27333
kernel:         4.13.11-100.fc25.x86_64
package:        cinnamon-3.4.6-15.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 41 leigh scott 2017-11-12 02:06:10 EST
F26 users will need to update to 3.6.x and F25 users will need to upgrade to F26+ as it's EOL for me.

Note You need to log in before you can comment on or make changes to this bug.